Announcement

Collapse
No announcement yet.

recent upgrade failed.....

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • recent upgrade failed.....

    hello,
    ive tried to upgrade this latest version by the url script but got this message on a white page

    Class 'vB_Utility_Hashchecker' not found

    any idea what went wrong or how to fix this?

    thank you

  • #2
    well......i was able to slide around it with the cli upgrader.....that was kind of wierd tho...

    Comment


    • #3
      Usually when a class is not found, it means that the file is missing. In this case, the hashchecker that builds the suspect file list. It would be located in /core/vb/utility/hashchecker.php.

      In vBulletin 5.6.2, using a default download, the /core/vb directory is compressed into a vb.phar file so this class would be located in that file. This requires that PHP support the PHAR system. It should support this by default but may not on some webservers. I couldn't tell you why it might be disabled. The command line and web server implementations of PHP can have different builds and configuration so one may support a library that the other does not.

      You can read about PHAR here: https://www.php.net/manual/en/book.phar.php

      If you do not have PHAR available in the web server, you can download the old style of individual files by selecting "More Download Options" on the download page. Then select "Customize my Download" and set "No Phar". If this is already selected when the page loads, select "Use Phar" and then select "No Phar" again.
      Translations provided by Google.

      Wayne Luke
      The Rabid Badger - a vBulletin Cloud demonstration site.
      vBulletin 5 API

      Comment

      widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
      Working...
      X